Bug 134429 - installer stack trace during fc3t2 upgrade
installer stack trace during fc3t2 upgrade
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-02 07:06 EDT by Han-Wen Nienhuys
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 09:17:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2004-10-02 07:06:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
Hi,

while installing fc3t2 on a system that already had a semi-finished 
FC3t2 install (cd2 was corrupted), I chose

- upgrade existing system

at some point, the installer crashed, giving a stacktrace 

  /usr/bin/anaconda line 1162
  intf.run(id, ... 

when I pressed the debug button, I got a stacktrace which said
(halfway throuhg)

  OSError,  no such file, /mnt/sysimage/dev/hda2

(hda2 was my / partition; this makes it a quaint error message, since
/mnt/sysimage/dev/hda2 is only available after mounting hda2)

This happened while using the Rescue disc to upgrade (using FTP as
install medium.) I also got a crash when trying to upgrade with  the
regular install CD, and I think it was the same one. 

Finally, I did a fresh install.

I'm sorry that my report is rather sketchy. Hope this helps anyway.
 


Additional info:
Comment 1 Jeremy Katz 2004-10-04 09:24:59 EDT
Can you please provide the complete stack trace?  It's very hard for
me to figure out what's going on with only tiny little bits of it.
Comment 2 Jeremy Katz 2004-11-04 09:17:15 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.